Settings
List runtime provider application configurations
GET
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
Response for status 200
application/json- response
applications*array<>xCallbackUri*stringLength
1 <= lengthfacebookCallbackUri*stringLength
1 <= lengthinstagramCallbackUri*stringLength
1 <= lengthcurl -X GET 'https://postbot.example/api/settings/provider-applications'Example Response
{
"applications": [
{
"id": "string",
"providerId": "linkedin",
"name": "string",
"clientId": "string",
"clientMetadataUrl": "string",
"handleResolver": "string",
"oauthMode": "loopback",
"state": "active",
"isDefault": true,
"createdByUserId": "string",
"hasClientSecret": true,
"createdAt": 0,
"updatedAt": 0
}
],
"xCallbackUri": "string",
"facebookCallbackUri": "string",
"instagramCallbackUri": "string"
}